Bug 227668 - Not enough space to show all tags
Summary: Not enough space to show all tags
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: Tags-Engine (show other bugs)
Version: 0.10.0
Platform: OpenSUSE Unspecified
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-19 14:17 UTC by Alexander Balzer
Modified: 2012-06-27 10:51 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 1.2.0


Attachments
Current tooltip (130.76 KB, image/png)
2010-02-25 09:09 UTC, Alexander Balzer
Details
New tooltip (148.15 KB, image/png)
2010-02-25 09:10 UTC, Alexander Balzer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Balzer 2010-02-19 14:17:03 UTC
Version:            (using KDE 4.3.3)
Installed from:    openSUSE RPMs

If you assign many tags to an image it is not possible to see which tags are assigned.
Even the tooltip does not show all tags.
Comment 1 caulier.gilles 2010-02-19 14:33:22 UTC
Open Captions and tags side bar and set on Already Assigned option.

Gilles Caulier
Comment 2 Alexander Balzer 2010-02-19 14:58:50 UTC
That is not what I meant. I think there should be more space for tags. At least in the tooltip this could be reached by using more lines.
Comment 3 Marcel Wiesweg 2010-02-23 20:41:17 UTC
Just how many tags are you thinking of here?
Comment 4 Alexander Balzer 2010-02-24 08:46:33 UTC
In my opinion the hight of the hint box should be dynamic.
If there are many tags, make the box higher and show the tags in several lines.
Of course there would also be a max hight of the hint box. But in most cases you would see all tags.

In my case three line for tags would be already enough. But the solution should be dynamic as I already wrote. Maybe somebody need 4 lines for tags.
Comment 5 Marcel Wiesweg 2010-02-24 18:54:12 UTC
When there are four tags on an image, the tooltip uses four lines. 3 lines for three tags etc.

Gilles, what do you think about displaying tags on the Properties sidebar?
Comment 6 caulier.gilles 2010-02-24 19:51:30 UTC
Marcel,

To improve already assigned tags tree-view in Caption tab is not enough ? show tags in image properties tab will be redondant with Caption tab.

But i'm agree that something must be done here.

About tool tips, why not to show tags list using most assigned/used tags in first ? 

Gilles Caulier
Comment 7 Marcel Wiesweg 2010-02-24 20:46:04 UTC
It would be easy to show the tags in the properties tab as well. They are in the Caption tab, yes, but it's not easy to get an overview. In fact, the only place to get a quick over view over all assigned tags is the tooltip.
My suggestion would be to add the same list as in the tooltip to the Properties tab. But, I dont know, there may be too much info then in that tab.
Comment 8 Alexander Balzer 2010-02-25 09:09:26 UTC
Created attachment 41088 [details]
Current tooltip

This is how the tooltip looks like at the moment
Comment 9 Alexander Balzer 2010-02-25 09:10:28 UTC
Created attachment 41089 [details]
New tooltip

This is how the tooltip could look like
Comment 10 Marcel Wiesweg 2010-02-25 16:51:24 UTC
And you are really sure this is version 1.2.0svn?
Comment 11 Alexander Balzer 2010-02-25 17:06:01 UTC
Sorry my mistake, it is version 0.10.0 (it is the default version in opensuse 11.2 repository)
Comment 12 caulier.gilles 2010-02-26 10:31:47 UTC
Alexandre,

Update to last stable 1.1.0... 0.10.0 is pretty old now, and a lots of bugs have been fixed...

Gilles Caulier
Comment 13 Alexander Balzer 2010-02-26 11:17:39 UTC
I use digikam from the default repository of opensuse 11.2 and made bad experiences adding additional repositories. So I'l stay with that version.
If the feature is already implemented in a newer version of digikam feel free to close this bug and mark it as already fixed in version xyz.

Once again, sorry for mentioning the wrong version in this bugreport, and thank you for your attention and patience.
Comment 14 Marcel Wiesweg 2010-02-26 19:06:06 UTC
I'm pretty sure this is fixed
Comment 15 terri.bugs 2010-05-29 16:03:12 UTC
I would still like to see the tags in the properties tab if it's easy to implement, even if they can be seen using tooltip (and the tags already assigned -button). It would be even better if the comment could be shown as well (before the tags). Then I could get easily the information I most oftern need. And just for the record, I'm using digikam 1.2.0.
Comment 16 Marcel Wiesweg 2011-01-26 13:11:12 UTC
Gilles, I still had this bug on my list. The tooltip problem is fixed.
Coming back to comments 5,6,7: In the tooltip, the last three lines are Comment, Rating and Tags. They are in the tooltip, but not on the Properties tab, although the tooltip is otherwise a shortened version of the Properties tab.
What do you think about adding these three properties to the Properties tab?
Comment 17 caulier.gilles 2011-01-26 13:18:27 UTC
yes, it's fine for me...

Gilles
Comment 18 Marcel Wiesweg 2011-01-26 16:55:12 UTC
SVN commit 1217302 by mwiesweg:

Show caption, rating and tags in the ImageProperties sidebar,
similar to the way it's done in the tooltip

CCBUG: 227668


 M  +17 -0     imagepropertiessidebar.cpp  
 M  +15 -4     imagepropertiessidebardb.cpp  
 M  +114 -0    imagepropertiestab.cpp  
 M  +5 -0      imagepropertiestab.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1217302
Comment 19 terri.bugs 2011-01-29 22:56:46 UTC
I have just updated to svn 1217943 and I thought I would be seeing caption, rating and tags in the right hand sidepanel when choosing properties (where file and image properties are listed). However nothing has changed. Is it just me or am I looking in the wrong place?
Comment 20 Marcel Wiesweg 2011-01-30 15:33:58 UTC
May be you are running an older version?

Screenshot:
http://img573.imageshack.us/i/plasmadesktopfi2149.png/
Comment 21 terri.bugs 2011-01-31 15:44:40 UTC
The splash up screen says version 1.9.0 and when checking Help-About digiKam, the popup reads 

digiKam
Version 1.9.0 (rev.: 1217943)
Using KDE Development Platform 4.5.1 (KDE 4.5.1)

My Properties window has only the first two items when compared to the image you attached the comment #20. I am using the english version, but that shouldn't matter. I will try recompiling even though there were no errors reported the last time and everything else seems to work fine.
Comment 22 Marcel Wiesweg 2011-01-31 17:52:51 UTC
It is in 2.0. I dont think we will backport any more, focus is on 2.0 now.
Comment 23 terri.bugs 2011-01-31 19:35:13 UTC
I'll get the 2.0 beta that's just been released. Thanks!